Package org.apache.sling.commons.messaging.mail

## Interface MessageIdProvider

All Known Implementing Classes:
  `SimpleMessageIdProvider`

    @ProviderType
    public interface MessageIdProvider

Provider for message identifiers.

See Also:
  `MimeMessage`

### Method Summary

All Methods Instance Methods Abstract Methods
`@NotNull String` `getMessageId​(@NotNull jakarta.mail.internet.MimeMessage message)` Provides an identifier for given message.

### Method Detail

#### getMessageId

    @NotNull
    @NotNull String getMessageId​(@NotNull
                                 @NotNull jakarta.mail.internet.MimeMessage message)
                          throws jakarta.mail.MessagingException

Provides an identifier for given message.

Parameters:
  `message` - the message to provide an identifier for
Returns:
  the message identifier
Throws:
  `jakarta.mail.MessagingException` - if providing an identifier fails
See Also:
  `MimeMessage.getMessageID()`